This URL gets the applications information.
Resource URL
GET /<nbaid>/endpointintelligence/<hash>/applications? duration=<duration>
Request Parameters
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Duration
| String | No |
| Hash | String | Yes |
| NTBA monitors id | String | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of applications | Array |
Details of ApplicationList:
Field Name | Description | Data Type |
|---|---|---|
| Application name | String |
| Connections count | Int |
| Events count | Int |
Example
Request
GET https://<NSM_IP>/sdkapi/1001/endpointintelligence/aaaaaaaa16/applications?duration=LAST_14_DAYS
Response
{
{" applicationList ":[{" applicationName ":"abc.exe","connectionscount":1,"eventsCount":0}]
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 3601 | Invalid duration |
2 | 400 | 4901 | Invalid hash/failed retrieve |